summaryrefslogtreecommitdiffstats
path: root/source/l/mozilla-nss
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/l/mozilla-nss
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/mozilla-nss')
-rwxr-xr-xsource/l/mozilla-nss/mozilla-nss.SlackBuild30
-rw-r--r--source/l/mozilla-nss/slack-desc6
2 files changed, 24 insertions, 12 deletions
diff --git a/source/l/mozilla-nss/mozilla-nss.SlackBuild b/source/l/mozilla-nss/mozilla-nss.SlackBuild
index 35e513d15..0d0f788e5 100755
--- a/source/l/mozilla-nss/mozilla-nss.SlackBuild
+++ b/source/l/mozilla-nss/mozilla-nss.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2005, 2006, 2008, 2009, 2010, 2012 Eric Hameleers, Eindhoven, NL
-# Copyright 2013, 2014, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2013, 2014, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -22,10 +22,12 @@
# SUCH DAMAGE.
# -----------------------------------------------------------------------------
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=mozilla-nss
SRCNAM=nss
-VERSION=${VERSION:-3.23}
-NSPR=${NSPR:-4.12}
+VERSION=${VERSION:-3.37.1}
+NSPR=${NSPR:-4.19}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -40,6 +42,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -55,7 +65,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -68,11 +77,14 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf nss-${VERSION}
rm -rf nspr-${NSPR}
-tar xvf $CWD/nss-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/nss-$VERSION.tar.?z || exit 1
cd nss-$VERSION
-tar xvf $CWD/nspr-$NSPR.tar.?z* || exit 1
+tar xvf $CWD/nspr-$NSPR.tar.?z || exit 1
mv nspr*/nspr .
+# -Werror is problematic with gcc7:
+sed -i "s|\ -Werror| |" nss/coreconf/Werror.mk || exit 1
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \
@@ -91,8 +103,8 @@ export NSS_USE_SYSTEM_SQLITE=1
export NSS_ENABLE_ECC=1
cd nss
# Seems parallel build does not work with this.
- #make $NUMJOBS nss_build_all export
- make nss_build_all export
+ #make $NUMJOBS nss_build_all export || exit 1
+ make nss_build_all export || exit 1
cd -
# Install all the needed stuff to the package dir:
diff --git a/source/l/mozilla-nss/slack-desc b/source/l/mozilla-nss/slack-desc
index 7a23daaff..9f640dae1 100644
--- a/source/l/mozilla-nss/slack-desc
+++ b/source/l/mozilla-nss/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|